<?php

namespace App\Entities\Part;

use App\Models\Part\SOFTWAREModel;

class SOFTWAREEntity extends PartEntity
{
    const PK    = SOFTWAREModel::PK;
    const TITLE = SOFTWAREModel::TITLE;
    //기본기능    
    public function getStock(): int
    {
        return $this->attributes['stock'];
    }
    public function getUsed(): int
    {
        return $this->attributes['used'];
    }
    public function getAvailable(): int
    {
        return $this->getStock() - $this->getUsed();
    }
}
